scriptname _WorldMap_SetMapOnLoad extends ReferenceAlias

import Utility

Event OnInit()
	SetCameraSettings()
EndEvent

Event OnPlayerLoadGame()
	SetCameraSettings()
EndEvent

function SetCameraSettings()
	debug.trace("[A Quality World Map] Applying map camera constraint settings on load.")
	SetINIBool("bWorldMapNoSkyDepthBlur:MapMenu", true)
	SetINIFloat("fWorldMapNearDepthBlurScale:MapMenu", 0)
	SetINIFloat("fWorldMapDepthBlurScale:MapMenu", 0)
	SetINIFloat("fWorldMapMaximumDepthBlur:MapMenu", 0)
	debug.trace("[A Quality World Map] Settings applied.")
endFunction